package main.AndroidTCP;

import android.app.Activity;
import android.os.Bundle;

import java.io.BufferedReader;
import java.io.BufferedWriter;
import java.io.InputStreamReader;
import java.io.OutputStreamWriter;
import java.io.PrintWriter;
import java.net.InetAddress;
import java.net.Socket;
import android.app.Activity;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;
import android.widget.Toast;



public class AndroidTCPActivity extends Activity {
	
	private String return_msg;
    private static final String serverIP = "192.168.0.8";
    private static final int serverPort = 5000;
    private Socket socket;
    
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        
        final EditText et = (EditText)findViewById(R.id.editText1);
        Button btn = (Button)findViewById(R.id.button1);
        Button ctlButton2 = (Button)findViewById(R.id.button2);
        Button ctlButton3 = (Button)findViewById(R.id.button3);
        final TextView tv = (TextView)findViewById(R.id.textView1);
        

        btn.setOnClickListener(new OnClickListener(){
         public void onClick(View v){
             try {    
            	 
                 InetAddress serverAddr = InetAddress.getByName(serverIP);        
                 socket = new Socket(serverAddr, serverPort);
                 tv.setText("Ӽ");
             	} catch (Exception e) {
                 Log.e("TCP", "C: Error2", e);
             	} 
         }
        });
 

        ctlButton2.setOnClickListener(new OnClickListener()
        {
            public void onClick(View v)
            {
            	String message = "Hi TCP Test..";
            	
            	EditText message_box;
            	message_box = (EditText) findViewById(R.id.editText3);
            	
        		try
        		{
        		   PrintWriter out = new PrintWriter(new BufferedWriter(
        			   new OutputStreamWriter(socket.getOutputStream())), true);
        		    
        		   out.println(message_box.getText().toString());
        		}
        		catch (Exception e)
        		{

        		} 
            }

         });  
        
        
        ctlButton3.setOnClickListener(new OnClickListener(){
            public void onClick(View v){
            	
            	try
            	{
            		BufferedReader in = new BufferedReader(new InputStreamReader(socket.getInputStream()));
            		if(in != null)
            		{
            			return_msg = in.readLine();
            			tv.setText(return_msg);
            		}
            	} catch(Exception e)
            	{
            		tv.setText("Error");
            	}
            }
           });         
    }//End OnCreate

    private class TCPclient implements Runnable
    {
            private String msg;

            public TCPclient(String _msg){
             this.msg = _msg;
            }
            @Override
            public void run() 
            {
            	try 
            	{
            		BufferedReader in = new BufferedReader(new InputStreamReader(socket.getInputStream()));
                    return_msg = in.readLine();

            	} catch(Exception e)
            	{
                           Log.e("TCP", "C: Error1", e);
                }
            }
            
    	}    

}


